org.eclipse.ease.modules

## Class AbstractModuleWrapper

- java.lang.Object
- - org.eclipse.ease.modules.AbstractModuleWrapper

All Implemented Interfaces:
  IModuleWrapper

Direct Known Subclasses:
  JavaScriptModuleWrapper

    public abstract class AbstractModuleWrapper
    extends Object
    implements IModuleWrapper

### Nested Class Summary

Nested Classes
`static class` `AbstractModuleWrapper.Parameter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractModuleWrapper()`

### Method Summary

Methods
`static Collection<String>` `getMethodNames(Method method)`
`static String` `getPostExecutionCode(IEnvironment environment, Method method)`
`static String` `getPreExecutionCode(IEnvironment environment, Method method)`
`static List<AbstractModuleWrapper.Parameter>` `parseParameters(Method method)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.modules.IModuleWrapper

`classInstantiation, createFunctionWrapper, createStaticFieldWrapper, getSaveVariableName`

### Constructor Detail

#### AbstractModuleWrapper

    public AbstractModuleWrapper()

### Method Detail

#### parseParameters

    public static List<AbstractModuleWrapper.Parameter> parseParameters(Method method)

#### getMethodNames

    public static Collection<String> getMethodNames(Method method)

#### getPreExecutionCode

    public static String getPreExecutionCode(IEnvironment environment,
                             Method method)

#### getPostExecutionCode

    public static String getPostExecutionCode(IEnvironment environment,
                              Method method)